<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <body>
 *
 * @package Portfolio
 * @since Portfolio 1.0
 */
?><!DOCTYPE html>

<!-- paulirish.com/2008/conditional-stylesheets-vs-css-hacks-answer-neither/ -->
<!--[if lt IE 7]> <html class="no-js ie6 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js ie7 oldie" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js ie8 oldie" <?php language_attributes(); ?>> <![endif]-->
<!-- Consider adding an manifest.appcache: h5bp.com/d/Offline -->
<!--[if gt IE 8]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->

<head>


<link href='http://fonts.googleapis.com/css?family=Roboto:400,900,700,300' rel='stylesheet' type='text/css'>
    

<meta charset="<?php bloginfo('charset'); ?>">

<?php if(of_get_option('enable_responsive') == '1') { ?>
<!-- Mobile View -->
<meta name="viewport" content="width=device-width">
<?php } else { ?>
<?php } ?>

<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' :'; } ?> <?php bloginfo('name'); ?></title>
<link rel="Shortcut Icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" type="image/x-icon">

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style-mobile.css">
<?php get_template_part( 'style', 'options' ); ?>

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> Feed" href="<?php echo home_url(); ?>/feed/">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>

<!-- Social -->
<script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
<script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script>
<script type="text/javascript" src="//assets.pinterest.com/js/pinit.js"></script>



</head>

<body <?php if(function_exists('body_class')) body_class(); ?>>

<div id="fb-root"></div>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_US/all.js#xfbml=1&appId=246727095428680";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));
</script>




	

		<?php if (is_home() || is_front_page() ) { ?>

<div class="container">
<div id="headerhome">


	<div class="row">
	       
			<?php $header_image = get_header_image(); if ( ! empty( $header_image ) ) { ?>
				<h1 id="custom-header"><a href="<?php echo get_option('home'); ?>/" title="Home"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php bloginfo('name'); ?>" /><?php bloginfo( 'name' ); ?></a></h1>
			<?php } else { ?>

				
					<h1 class="site-title"><span><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span></h1>
					<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
				</div>
			<?php } ?>
		<?php } else { ?>
<div class="container">
<div id="header">
<div class="row">
			<?php $header_image = get_header_image(); if ( ! empty( $header_image ) ) { ?>
				<p id="custom-header"><a href="<?php echo get_option('home'); ?>/" title="Home"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="<?php bloginfo('name'); ?>" /><?php bloginfo( 'name' ); ?></a></p>
			<?php } else { ?>
				<div id="header">
					<h4 class="site-title"><span><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></span></h4>
					<h5 class="site-description"><?php bloginfo( 'description' ); ?></h5>
				</div>
			<?php } ?>
		<?php } ?>
		
	</div>
	
</div>

<div id="navigation">

	<div class="row">	
		
		<?php if ( function_exists('ot_register_menu') ) { // Check for 3.0+ menus
			wp_nav_menu( array( 
				'theme_location' => 'header-menu', 
				'title_li' => '', 
				'depth' => 4, 
				'container_class' => 'menu' 
				)
			); 
		} else { ?>

			<ul class="menu"><?php wp_list_pages('title_li=&depth=4'); ?></ul>
		<?php } ?>
	
	</div>

</div>
